Google Translate Error

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Google Translate Error

noolsen
Please have a look on the attached file and help me to fix Google.

Kind regards
Normann Louis Olsen

Google Error.jpg (8K) Download Attachment
Med venlig hilsen
Louis
Reply | Threaded
Open this post in threaded view
|

Re: Google Translate Error

LordOfBikes
Administrator
noolsen,

have you read my answer in New User Subforum?

There is no option for the moment. Even when we will update the Pootle server software, the issue with the necessary, paid-only Google API key still exists. The API key has to be paid by usage and as there is no protection against abuse, this could become expensive for us.

I have to check, if there is a free alternative translation service supported in actual Pootle software.

Armin
Reply | Threaded
Open this post in threaded view
|

Re: Google Translate Error

bgpiraja
Armin,

I want to know what's need to run the Pootle server. Is it runs on Linux? Need it cPanel? Need it Database, like MySQL? How many the montlhy traffic is generated? How many disk space is need it? The pootle is open source? If yes, do you know how to install?

Cheers,

--
Bruno Gonçalves Pirajá
Em Quinta-feira, 1 de Maio de 2014 8:20, LordOfBikes [via LibreCAD] <[hidden email]> escreveu:
noolsen,

have you read my answer in New User Subforum?

There is no option for the moment. Even when we will update the Pootle server software, the issue with the necessary, paid-only Google API key still exists. The API key has to be paid by usage and as there is no protection against abuse, this could become expensive for us.

I have to check, if there is a free alternative translation service supported in actual Pootle software.

Armin


If you reply to this email, your message will be added to the discussion below:
http://forum.librecad.org/Google-Translate-Error-tp5709875p5709878.html
To start a new topic under LibreCAD-dev, email [hidden email]
To unsubscribe from LibreCAD-dev, click here.
NAML


Reply | Threaded
Open this post in threaded view
|

Re: Google Translate Error

LordOfBikes
Administrator
Bruno,

you find concentrated information about Pootle on the Pootle Wikipedia site. There you find all sort of links e.g. their homepage or the code base at github. Pootle is also hosted on Sourceforge.

As Pootle is a Web Translation tool, you need a running web server for it, the operating system doesn't depend. The web server has to be capable to generate dynamic content from Python code. It could be a local system at your LAN for home or test use, but for public services you need a sever at your preferred ISP.
You need a SQL server too, iirc there are several server supported e.g. MySQL or PostgreSQL.
Traffic and disc space depends much on the number of languages, the translation project and the usage.

For LibreCAD Pootle is installed on our librecad.org server, which is a Debian Linux server and we us a MySQL server on this machine for the database.
On our server Pootle uses about 40MB and the LibreCAD files are about 270MB. I can't say what the additional packages like Translation Tool Kit or Django Web Framework consume or how much space is used by the database.

Regards

Armin